Bug 498125 - Review Request: lxde-settings-daemon - XSettings Daemon for LXDE
Review Request: lxde-settings-daemon - XSettings Daemon for LXDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-04-28 20:56 EDT by Christoph Wickert
Modified: 2009-08-07 01:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 17:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-04-28 20:56:11 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lxde-settings-daemon.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxde-settings-daemon-0.4-1.fc11.src.rpm
Description: This package contains the XSettings daemon for LXDE, the Lightweight X11 Desktop Environment. It allows XSettings aware applications (all GTK+ 2 and GNOME 2 applications) to be informed instantly of changes in LXDE configuration, such as theme name, default font and so on.
Comment 1 Susi Lehtola 2009-04-29 08:02:26 EDT
- Require system-icon-theme instead of fedora-icon-theme, as one should be able to remove Fedora brandings altogether.

- Is the obsoletes&provides really necessary since there AFAIK is not and hasn't ever been a lxde-settings package in Fedora?

rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
- lxde-settings-daemon.c is under GPLv2+, other files are under MIT.
- I'm not sure, however, if the MIT license needs to be mentioned since it's compatible with GPLv2+.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. NEEDSFIX
- Package already Requires: lxde-common which provides /usr/share/lxde => remove
 %dir %{_datadir}/lxde/

MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect  runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Christoph Wickert 2009-04-29 09:41:28 EDT
(In reply to comment #1)
> - Require system-icon-theme instead of fedora-icon-theme, as one should be able 
> to remove Fedora brandings altogether.

The reason for choosing fedora-icon-theme over system-icon-theme is that I explicitly set Fedora in the patch. Changed.

> - Is the obsoletes&provides really necessary since there AFAIK is not and
> hasn't ever been a lxde-settings package in Fedora?

You are correct. I made one as a subpackage of the current lxde-common, but I never built it. Removed.

> - lxde-settings-daemon.c is under GPLv2+, other files are under MIT.
> - I'm not sure, however, if the MIT license needs to be mentioned since it's
compatible with GPLv2+.

Agreed and removed. BTW: The included COPYING is GPLv3, not v2. Upstream confirmed this was an error. You want me to replace the file in the package or leave it as is for now.

> - Package already Requires: lxde-common which provides /usr/share/lxde =>
> remove
>  %dir %{_datadir}/lxde/

That was intentional. I omitted the dir from lxde-common-0.4 and made it require lxde-settings-daemon instead.


Updated package:
SPEC: http://cwickert.fedorapeople.org/review/lxde-settings-daemon.spec
SRPM: http://cwickert.fedorapeople.org/review/lxde-settings-daemon-0.4-2.fc11.src.rpm
Comment 3 Susi Lehtola 2009-04-29 10:01:43 EDT
(In reply to comment #2)
> > - lxde-settings-daemon.c is under GPLv2+, other files are under MIT.
> > - I'm not sure, however, if the MIT license needs to be mentioned since it's
> compatible with GPLv2+.
> 
> Agreed and removed. BTW: The included COPYING is GPLv3, not v2. Upstream
> confirmed this was an error. You want me to replace the file in the package or
> leave it as is for now.

Leave it as it is. The license of the program is the one in the source code.

> > - Package already Requires: lxde-common which provides /usr/share/lxde =>
> > remove
> >  %dir %{_datadir}/lxde/
> 
> That was intentional. I omitted the dir from lxde-common-0.4 and made it
> require lxde-settings-daemon instead.

Oh, okay, no problem then.

**

The package has been

APPROVED.
Comment 4 Christoph Wickert 2009-04-29 10:11:44 EDT
New Package CVS Request
=======================
Package Name: lxde-settings-daemon
Short Description: XSettings Daemon for LXDE
Owners: cwickert
Branches: F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-04-30 00:58:41 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-30 07:39:13 EDT
lxde-settings-daemon-0.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxde-settings-daemon-0.4-2.fc11
Comment 7 Fedora Update System 2009-04-30 07:39:29 EDT
lxde-settings-daemon-0.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxde-settings-daemon-0.4-2.fc10
Comment 8 Fedora Update System 2009-05-20 14:41:00 EDT
lxde-settings-daemon-0.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxde-settings-daemon-0.4-3.fc11
Comment 9 Fedora Update System 2009-05-20 14:56:29 EDT
lxde-settings-daemon-0.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxde-settings-daemon-0.4-3.fc10
Comment 10 Fedora Update System 2009-05-21 19:26:23 EDT
lxde-settings-daemon-0.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Christoph Wickert 2009-05-22 21:42:40 EDT
Package Change Request
======================
Package Name: lxde-settings-daemon
New Branches: EL-4 EL-5
Owners: cwickert
Comment 12 Kevin Fenzi 2009-05-23 01:31:33 EDT
cvs done.
Comment 13 Fedora Update System 2009-08-07 01:00:15 EDT
lxde-settings-daemon-0.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.